<div class="d-flex">
    <div class="vh-100 w-100 logo-wrapper">
        <div class="logo"></div>
        <div class="text-center mt-2">
            <span class="fs-3 d-block">Социально-Предпринимательская Система </span>
            <span class="fs-3">V.1.0</span>
        </div>         
    </div>
    <div class="container-fluid">
        <div class="vh-100">
            <div class="row align-content-center h-100">
                <div class="col-6 mx-auto">
                    <h3 class="m-0">
                        {{ 'login.header' | translate }}
                        <div class="spinner-border" role="status" *ngIf="loading">
                            <span class="visually-hidden">{{ 'shared.loading' | translate }}</span>
                        </div>
                    </h3>
                    <form [formGroup]="form">
                        <div [ngSwitch]="status">
                            <div *ngSwitchCase="'not activated'">
                                <label>Номер телефона</label>
                                <input type="tel" class="form-control" formControlName="phone" maxlength="10">
                                <button class="btn btn-dark w-100 mt-3" (click)="sendPhone(twoDauthenty)">Войти</button>
                            </div>
                            <!-- <div *ngSwitchCase="'activated'">
                                <label>Пароль</label>
                                <input type="password" class="form-control" formControlName="password" autofocus>
                                <button class="btn btn-dark w-100 mt-3" (click)="authenticate()">Войти</button>
                            </div> -->
                            <div *ngSwitchCase="'set password'">
                                <label>Пароль</label>
                                <input type="password" class="form-control" formControlName="newPassword" autofocus>
                                <label>Подтверждение пароля</label>
                                <input type="password" class="form-control" formControlName="confirmPassword"
                                    [class.is-invalid]="onConfirm()" (keyup)="onConfirm()">
                                <button class="btn btn-dark w-100 mt-3" (click)="createNewPassword()">Войти</button>
                            </div>
                            <div *ngSwitchDefault formGroupName="loginGroup">
                                <label class="mt-3 mb-1">{{ 'login.enterYourIINorBIN' | translate }}</label>
                                <input type="text" class="form-control" formControlName="iin" maxlength="12">
                                <!-- <button class="btn btn-dark w-100 mt-3" (click)="sendIIN()">Войти</button> -->
                                <label class="mt-3 mb-1">{{ 'shared.passwordLabel' | translate }}</label>
                                <input
                                 type="password"
                                 class="form-control"
                                 id="password"
                                 [ngbPopover]="validate"
                                 placement="bottom"
                                 triggers="focus:blur"
                                 (keyup)="validation()"
                                 formControlName="password"
                                 >
                                <button class="btn btn-dark w-100 mt-3" (click)="authenticate()">{{ 'shared.enterLabel' | translate }}</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <ng-template let-modal #twoDauthenty>
                <div class="modal-body p-4">
                    <div class="text-center">
                        <h3>Verification</h3>
                    </div>
                    <div class="text-center my-4">
                        <ng-otp-input (onInputChange)="onOtpChange($event)" [config]="config"></ng-otp-input>
                    </div>

                    <div class="">
                        <button class="btn btn-outline-primary w-100" (click)="modalService.dismissAll()">Close</button>
                    </div>
                </div>
            </ng-template>

            <ng-template #validate>
                    <h6>{{ 'login.passwordRequirementHeader' | translate }}</h6>
                    <p id="letter" class="invalid ps-3"><b>нижний регистр</b> буква</p>
                    <p id="capital" class="invalid ps-3"><b>заглавная (прописная)</b> буква</p>
                    <p id="number" class="invalid ps-3"><b>число</b></p>
                    <p id="length" class="invalid ps-3">Минимум <b>4 символа</b></p>
            </ng-template>

        </div>
    </div>
</div>